Update Dataset
Update Dataset.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
dataset_id
ID of the Dataset.
Request
This endpoint expects an object.
allowCustomFieldDeletion
When true, custom fields present on the object but omitted from the update payload will be deleted. When false or omitted, omitting existing custom fields is an error. Defaults to false.
archiveReason
archived
customFields
folderId
name
Response
OK
__typename
archiveReason
archived
createdAt
creator
customFields
dataFrameId
displayId
A human-readable identifier for this dataset (e.g. “DATASET-1”). Automatically generated and unique within the tenant.
folder
id
modifiedAt
name
Errors
400
Dataset Update Request Bad Request Error
403
Dataset Update Request Forbidden Error
404
Dataset Update Request Not Found Error
409
Dataset Update Request Conflict Error
429
Dataset Update Request Too Many Requests Error
500
Dataset Update Request Internal Server Error